> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get extraction results

> Read an extraction run's results.

**Operation ID:** `http.semantic_tasks.file_extractions.results`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/results
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/results
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/results:
    get:
      tags:
        - Extraction
      summary: Get extraction results
      description: |-
        Read an extraction run's results.

        Product guidance: [Extraction](/concepts/extraction).
      operationId: http.semantic_tasks.file_extractions.results
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: run
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Page size, 1 to 100. Defaults to 50.
          schema:
            type: string
            pattern: ^\d+$
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/http_semantic_tasks_file_extractions_results_response
      security:
        - bearerAuth: []
components:
  schemas:
    http_semantic_tasks_file_extractions_results_response:
      type: object
      properties:
        schema:
          type: string
          const: penumbra.file-extraction-result-page
        version:
          type: number
          const: 1
        run_id:
          type: string
        destination:
          type: object
          properties:
            workspace_id:
              type: string
            workspace_name:
              type: string
            context_id:
              type: 'null'
          required:
            - workspace_id
            - workspace_name
            - context_id
          additionalProperties: {}
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              kind:
                type: string
              review_state:
                type: string
                enum:
                  - accepted
                  - needs_evidence
                  - rejected
              name:
                anyOf:
                  - type: string
                  - type: 'null'
              type:
                type: string
              shape:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: {}
                  - type: 'null'
              context_resource_id:
                type: 'null'
              evidence:
                type: array
                items:
                  type: object
                  properties:
                    file_id:
                      type: string
                    version_id:
                      type: string
                  required:
                    - file_id
                    - version_id
                  additionalProperties: {}
            required:
              - id
              - kind
              - review_state
              - name
              - type
              - shape
              - context_resource_id
              - evidence
            additionalProperties: {}
        page:
          type: object
          properties:
            limit:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            has_more:
              type: boolean
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - limit
            - has_more
            - next_cursor
          additionalProperties: {}
      required:
        - schema
        - version
        - run_id
        - destination
        - data
        - page
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.